package com.hongyegroup.cpt_business.ui.activity

import android.content.Intent
import android.os.Bundle
import com.guadou.cs_cptservices.base.activity.YYBaseVDBActivity
import com.guadou.lib_baselib.base.vm.EmptyViewModel
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.utils.CommUtils
import com.hongyegroup.cpt_business.R
import com.hongyegroup.cpt_business.databinding.ActivityBusinessAppointmentDateBinding

/**
 * 公司预约列表
 * 指定日期下面全部的员工的预约列表
 */
class BusinessAppointmentDateActivity : YYBaseVDBActivity<EmptyViewModel, ActivityBusinessAppointmentDateBinding>() {

    companion object {
        fun startInstance() {
            val context = CommUtils.getContext()
            val intent = Intent(context, BusinessAppointmentDateActivity::class.java)
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            context.startActivity(intent)
        }
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_business_appointment_date)
    }

    override fun startObserve() {

    }

    override fun init(savedInstanceState: Bundle?) {


    }


}